## edu.stanford.nlp.trees.tregex.gui
Class OSXAdapter

    java.lang.Object
      com.apple.eawt.ApplicationAdapter
          edu.stanford.nlp.trees.tregex.gui.OSXAdapter

All Implemented Interfaces:
  com.apple.eawt.ApplicationListener, EventListener

    public class OSXAdapter

extends com.apple.eawt.ApplicationAdapter

Class to load OSX specific settings for TregexGUI. Made by consulting the Apple sample code for a similar (and identically named) class at http://devworld.apple.com/samplecode/OSXAdapter/index.html.

Author:
  rafferty

Method Summary
`static void` `enablePrefs(boolean enabled)`
`void` `handleAbout(com.apple.eawt.ApplicationEvent ae)`
`void` `handlePreferences(com.apple.eawt.ApplicationEvent ae)`
`void` `handleQuit(com.apple.eawt.ApplicationEvent ae)`
`static void` `registerMacOSXApplication(TregexGUI inApp)`

Methods inherited from class com.apple.eawt.ApplicationAdapter
`handleOpenApplication, handleOpenFile, handlePrintFile, handleReOpenApplication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### handleAbout

    public void handleAbout(com.apple.eawt.ApplicationEvent ae)

  Specified by:
    `handleAbout` in interface `com.apple.eawt.ApplicationListener`
  Overrides:
    `handleAbout` in class `com.apple.eawt.ApplicationAdapter`

### handlePreferences

    public void handlePreferences(com.apple.eawt.ApplicationEvent ae)

  Specified by:
    `handlePreferences` in interface `com.apple.eawt.ApplicationListener`
  Overrides:
    `handlePreferences` in class `com.apple.eawt.ApplicationAdapter`

### handleQuit

    public void handleQuit(com.apple.eawt.ApplicationEvent ae)

  Specified by:
    `handleQuit` in interface `com.apple.eawt.ApplicationListener`
  Overrides:
    `handleQuit` in class `com.apple.eawt.ApplicationAdapter`

### registerMacOSXApplication

    public static void registerMacOSXApplication(TregexGUI inApp)

### enablePrefs

    public static void enablePrefs(boolean enabled)

Stanford NLP Group